Constructor CStateStart::CStateStart() Using CGameState(EGS_Start)
	m_iStartTxtID = agk::CreateText("START GAME")
	agk::SetTextPosition(m_iStartTxtID, 100, 160)
	agk::SetTextSize(m_iStartTxtID, 40)
	agk::FixTextToScreen(m_iStartTxtID, 1)
	agk::SetTextColorAlpha(m_iStartTxtID, 0)
	agk::SetTextVisible(m_iStartTxtID, 0)
	
	'm_iTrack1MsxID = agk::LoadMusic("space/track1.mp3")
	m_iTrack1MsxID = agk::LoadMusicOGG("space/track1.ogg")
	agk::SetMusicSystemVolume(70)
	agk::PlayMusicOGG(m_iTrack1MsxID, 1)
End Constructor

Destructor CStateStart::~CStateStart()

End Destructor

Function CStateStart::Run(fFrameTime As float) As EGameState
	Static add As integer
	add = 4
	Raw As UINT alpha = agk::GetTextColorAlpha(m_iStartTxtID)
	
	If alpha = 255 Or (alpha < 32 And add < 0) Then add = -add
	
	agk::SetTextColorAlpha(m_iStartTxtID, alpha + add)
	agk::SetTextVisible(m_iStartTxtID, 1)
	
	m_refAliens->UpdateAliens()
	
	If agk::GetPointerPressed() = 1 Then
		m_refAliens->ResetAliens()
		
		agk::SetTextColorAlpha(m_iStartTxtID, 0)
		agk::SetTextVisible(m_iStartTxtID, 0)
		
		Function = EGS_Play
	EndIf
	
	Function = m_eState
End Function

Sub CStateStart::Reset()
	agk::SetTextColorAlpha(m_iStartTxtID, 0)
	agk::SetTextVisible(m_iStartTxtID, 0)
	
	agk::SetViewOffset(0,0)
End Sub
